%define major 5
%define libname %mklibname %name %major

Summary: 	A Unicode character map and font viewer
Name: 		gucharmap
Version: 1.8.0
Release: 	%mkrel 1
License: 	GPL
Group: 		Publishing
Source0: 	http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png

URL: 		http://gucharmap.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: 	libgnomeui2-devel >= 2.5.90.1
BuildRequires:	scrollkeeper
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	libxslt-proc
BuildRequires:	perl-XML-Parser
BuildRequires:	desktop-file-utils
Requires(post):		scrollkeeper
Requires(postun):		scrollkeeper

%description
gucharmap is a Unicode/ISO 10646 character map and font viewer. It
supports anti-aliased, scalable truetype fonts in X, using Xft, and
works on Unix and Windows platforms.

%package -n %libname
Summary: Main library for gucharmap
Group: System/Libraries

%description -n %libname
This package contains the library needed to run programs dynamically
linked with gucharmap.

%package -n %libname-devel
Summary: Headers for developing programs that will use gucharmap
Group: Development/GNOME and GTK+
Requires: %libname = %{version}
Provides: lib%name-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}
Requires: libgnomeui2-devel

%description -n %libname-devel
This package contains the headers that programmers will need to develop
applications which will use gucharmap.

%prep
%setup -q

%build

%configure2_5x --enable-gnome --disable-scrollkeeper
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
command="%{_bindir}/gucharmap" \
title="Unicode Character Map" \
longtitle="Unicode Character Map" \
needs="x11" \
icon="gucharmap.png" \
section="Office/Accessories" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%{find_lang} %{name} --with-gnome
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

%post
%update_scrollkeeper
%update_menus
 
%postun
%clean_scrollkeeper
%clean_menus

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-,root,root)
%doc ChangeLog README TODO
%{_bindir}/*
%{_menudir}/*
%{_datadir}/applications/*
%_datadir/icons/hicolor/48x48/apps/%name.png
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%dir %{_datadir}/omf/%{name}
%{_datadir}/omf/gucharmap/gucharmap-C.omf

%files -n %libname
%defattr (-,root,root)
%_libdir/libgucharmap.so.%{major}*

%files -n %libname-devel
%defattr (-,root,root)
%_libdir/*.so
%attr(644,root,root) %_libdir/*.la
%_libdir/pkgconfig/*
%_includedir/*

%changelog
* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 1.8.0-1mdv2007.0
- New release 1.8.0

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 1.7.0-2mdv2007.0
- Rebuild with latest dbus

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 1.7.0-1mdv2007.0
- new macros
- xdg menu
- new major
- update file list
- New release 1.7.0

* Fri Apr 14 2006 Frederic Crozat <fcrozat@mandriva.com> 1.6.0-1mdk
- Release 1.6.0

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 1.4.4-7mdk
- Use mkrel

* Mon Nov 21 2005 Pablo Saratxaga <pablo@mandriva.org> 1.4.4-6mdk
- updated char database to unicode 4.1

* Sun Nov 20 2005 Götz Waschk <waschk@mandriva.org> 1.4.4-5mdk
- rebuild for new openssl

* Tue Oct 18 2005 Frederic Crozat <fcrozat@mandriva.com> 1.4.4-4mdk
- Fix buildrequires

* Thu Oct  6 2005 Götz Waschk <waschk@mandriva.org> 1.4.4-3mdk
- fix buildrequires

* Thu Oct  6 2005 Götz Waschk <waschk@mandriva.org> 1.4.4-2mdk
- fix buildrequires

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 1.4.4-1mdk
- Releae 1.4.4

* Tue Sep  6 2005 Götz Waschk <waschk@mandriva.org> 1.4.3-2mdk
- replace prereq

* Tue Mar  8 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.3-1mdk
- fix source URL
- new version

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2-3mdk 
- Rebuild with latest howl

* Fri Nov 12 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.4.2-2mdk
- add BuildRequires: perl-XML-Parser

* Mon Oct 25 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2-1mdk
- New release 1.4.2

* Thu Jul 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-2mdk
- Add lang tag for omf files
- Enable libtoolize 

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-1mdk
- Release 1.4.1 (with Götz help)
- gtk input method has been removed upstream

* Wed Feb 11 2004 David Baudens <baudens@mandrakesoft.com> 1.2.0-2mdk
- Fix menu

* Fri Nov 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-1mdk
- Release 1.2.0

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-1mdk
- Release 1.0.0

* Fri Aug 22 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.0-1mdk
- don't libtoolize
- new version

* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 0.8.0-3mdk
- rebuld for rpm

* Fri Jun 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.8.0-2mdk
- Remove patch0 (no longer needed)
- Bump major

* Fri Jun 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.8.0-1mdk
- Release 0.8.0
- Regenerate patch0

* Tue Jun 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.6.1-1mdk
- Release 0.6.1
- Patch0: fix destdir install

* Fri May 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.6.0-1mdk
- Release 0.6.0
- Clean specfile
- mklibnamification

* Sun Mar 16 2003 Austin Acton <aacton@yorku.ca> 0.4.0-1mdk
- 0.4.0

* Thu Jan 16 2003 Austin Acton <aacton@yorku.ca> 0.2-1mdk
- initial package
